Starmade | Push/Pull/Stop does not affect mothership if docked rail entities are hit
Confirmed task for development, HighPublic

Description

Push/Pull/Stop weapons don't move the parent ship if a docked rail entity is hit.

Since you can effectively cover the entire ship in docked entities, you could potentially make your ship immune to them.

Details

Commits
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.199.625
Category
Control Block System: Weapons
First occurrence (version)
0.19291
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  1. Make a ship and dock something to it
  2. Make another ship and put some momentum weapons on it
  3. Shoot the docked entity and its parent entity will not get affected by the momentum effect.
Tester information (Internal use only)

Works a bit too well, your own docks hitting another dock or the mothership itself, will also apply momentum effects on the mothership.
Not that noticable with beams as the effect is diminished to 0% (yet still does some rotation force), but it is for cannons.

Just put a cannon + push on a dock and hit one of the entities part of the same ship.

SpaceKing added a project: Starmade.
SpaceKing changed Category from none/unspecified to Control Block System: Weapons.
SpaceKing changed Affected Gamemode(s) from none/unspecified to Single and Multi.
SpaceKing changed Reproducible from uncertain to Yes.
SpaceKing set Last tested (version) to 0.19256.
SpaceKing edited Serverconfig (server.cfg). (Show Details)
SpaceKing edited Clientconfig (settings.cfg). (Show Details)
SpaceKing added a subscriber: SpaceKing.
Restricted Application added a project: Issue Navigation. · View Herald TranscriptJun 14 2015, 6:02 PM
AndyP added a subscriber: AndyP.

Validated

AndyP set Task Type to Bug.Jun 23 2015, 9:12 AM
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP set Video Card Vendor to uncertain.
Megacrafter127 changed the task status from "Open" to "In Queue (Game)".Jun 26 2015, 8:19 AM
Megacrafter127 added a subscriber: Megacrafter127.

Confirmed for 0.19291
Cannon: confirmed
Beam: confirmed
Missiles: confirmed, blast radius may hit the other entity during retesting and thus skew the results.
Pulse: confirmed, effect is also only applied to the mother-entity, if core was within radius.

Restricted Application edited projects, added Game Development; removed Issue Navigation. · View Herald TranscriptJun 26 2015, 8:19 AM
Megacrafter127 changed Last tested (version) from 0.19256 to 0.19291.Jun 26 2015, 8:20 AM
Megacrafter127 edited a custom field.
Megacrafter127 edited Serverconfig (server.cfg). (Show Details)
Megacrafter127 edited Clientconfig (settings.cfg). (Show Details)
AndyP shifted this object from the S1 Public space to the S3 Starmade space.Aug 11 2015, 10:51 PM
AndyP changed the edit policy from "Starmade (Project)" to "All Users".
lancake added a subscriber: lancake.
lancake changed the title from "Push/Pull/Stop does not affect docked rail things" to "Push/Pull/Stop does not affect docked rail entities".Sep 26 2015, 12:44 PM
AndyP changed the task status from "In Queue (Game)" to "In Queue".Mar 10 2017, 5:22 PM
Restricted Application added a project: CBS: Weapons. · View Herald TranscriptMar 10 2017, 5:22 PM
AndyP changed the task status from "In Queue" to "wontfix".Mar 15 2017, 1:10 PM

Intended by the mechanic change on docked reactors and in general to combat many types of exploits.

Hitting your own docked entities may only be allowed by astrotech beam, but nothing else should be able to do so.

Restricted Application removed a project: Game Development. · View Herald TranscriptMar 15 2017, 1:10 PM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript
lancake claimed this task.Jun 5 2017, 2:05 PM
lancake changed the task status from "wontfix" to "In Queue".
lancake raised the priority of this task from "Normal" to "High".

This task is about the main entity not being affected by push/pull/stop weapons if they're hitting a docked entity instead. The momentum effect doesn't propagate downwards and instead applies on something that is docked, and therefore cannot get pushed/pulled or stopped.

Restricted Application added a project: Game Development. · View Herald TranscriptJun 5 2017, 2:05 PM
lancake edited Steps to reproduce. (Show Details)Jun 5 2017, 2:06 PM
lancake edited Tester information (Internal use only). (Show Details)
lancake changed Last tested (version) from 0.19291 to 0.199.535.
lancake set First occurrence (version) to 0.19291.
lancake changed the title from "Push/Pull/Stop does not affect docked rail entities" to "Push/Pull/Stop does not affect mothership if docked rail entities are hit".
lancake changed the task status from "In Queue" to "Resolved" by committing Restricted Diffusion Commit.Jun 10 2017, 3:48 PM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptJun 10 2017, 3:48 PM
lancake changed the task status from "Resolved" to "In Queue".

-QA Testing-

Works a bit too well, your own docks hitting another dock or the mothership itself, will also apply momentum effects on the mothership.
Not that noticable with beams as the effect is diminished to 0% (yet still does some rotation force), but it is for cannons.

Just put a cannon + push on a dock and hit one of the entities part of the same ship.

Restricted Application edited projects, added Game Development, QA-Return; removed Quality Assurance. · View Herald TranscriptJun 30 2017, 11:33 AM
lancake edited Tester information (Internal use only). (Show Details)Jun 30 2017, 11:33 AM
lancake changed Last tested (version) from 0.199.535 to 0.199.625.
AndyP merged a task: Restricted Maniphest Task.Oct 2 2017, 2:58 PM
AndyP added subscribers: Matt_Bradock, AndyP.